ps_close_image
ps_closepath_stroke
PS Functions
PHP Manual

# ps_close

(PECL ps >= 1.1.0)

ps_close — Closes a PostScript document

### Description

bool ps_close ( resource `$psdoc` )

Closes the PostScript document.

This function writes the trailer of the PostScript document. It also writes the bookmark tree. ps_close() does not free any resources, which is done by ps_delete().

This function is also called by ps_delete() if it has not been called before.

### Parameters

`psdoc`

  Resource identifier of the postscript file as returned by ps_new().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- ps_open_file() - Opens a file for output
- ps_delete() - Deletes all resources of a PostScript document

ps_close_image
ps_closepath_stroke
PS Functions
PHP Manual